package eu.connect.photo.client.console.command;

import eu.connect.photo.client.console.Console;

public class SaveCommand extends Command {
	
	private int id;
	private String fileToCreate;

	@Override
	public void executeOn(Console target) {
		target.savePhoto(id, fileToCreate);
	}

	@Override
	public String toString() {
		return CommandBuilder.SAVE_KW + " " + id + " " + CommandBuilder.AS_KW + " " + fileToCreate;
	}

	public void setID(int id) {
		this.id = id;
	}

	public void setFileToCreate(String fileToCreate) {
		this.fileToCreate = fileToCreate;
	}

}
